WordPress.org

Ready to get started?Download WordPress

Forums

Events Manager
[resolved] EM upgrade messed up my website! (6 posts)

  1. erscampbell
    Member
    Posted 1 year ago #

    Here's my website: http://www.blueroofdesigns.com

    I think you can see the problem.

    I tried to upgrade to the newest version of EM and I get this evil error message:

    Fatal error: Call to undefined function dbem_get_events_list() in /home/erscampbell/blueroofdesigns.com/wp-content/themes/blueroof/sidebar.php on line 5

    Plugin area gives me this message:

    Events Manager upgrade not complete, please upgrade to the version 4.300 or higher first from here before upgrading to this version.

    Have tried this multiple time without success. Help!

    Thanks,
    Elissa

    http://wordpress.org/extend/plugins/events-manager/

  2. agelonwl
    Member
    Posted 1 year ago #

    hi,

    if you check this function dbem_get_events_list() at /home/erscampbell/blueroofdesigns.com/wp-content/themes/blueroof/sidebar.php on line 5 then replace it with wp do_shortcode e.g. <?php echo do_shortcode('events_list'); ?> then this might fixed the issue.

  3. Marcus
    NetWebLogic Support
    Plugin Author

    Posted 1 year ago #

    for the warning you get, did you try upgrading to the latest 4.x version first?

    http://wordpress.org/extend/plugins/events-manager/developers/

  4. erscampbell
    Member
    Posted 1 year ago #

    Marcus -

    Yep, I did try updating to the latest 4.x version, but I couldn't get it to take. I tried renaming the EM folder and then uploading the 4.x plugin and that didn't work - it kept telling me that I had to upgrade to the version 4.300 or higher (which I was trying to do).

    In the meantime, I was able to go back to my previous version via a website backup - Version 3.0.97. I had tried upgrading from that version before and had the same problem. Is there a more recent stable version I can upgrade to or should I just stick where I am?

    Thanks for your help,
    Elissa

  5. erscampbell
    Member
    Posted 1 year ago #

    agelonwl -

    Thanks for the suggestion. I rolled back to v 3.0.97 via a website backup. I might try reinstalling the most recent version again and make your suggested change. I'll let you know how that works out.

    Elissa

  6. Marcus
    NetWebLogic Support
    Plugin Author

    Posted 1 year ago #

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags